Subject: Re: [PATCH] Fake NUMA emulation for PowerPC

From: Balbir Singh <[email-masked]>
Date: Sun, 09 Dec 2007 18:50:30 +0530

Pavel Machek wrote:
> On Sat 2007-12-08 09:52:06, Balbir Singh wrote:
>> David Rientjes wrote:
>>> On Sat, 8 Dec 2007, Balbir Singh wrote:
>>>
>>>> To be able to test the memory controller under NUMA, I use fake NUMA
>>>> nodes. x86-64 has a similar feature, the code I have here is the
>>>> simplest I could come up with for PowerPC.
>>>>
>>> Magnus Damm had patches from over a year ago that, I believe, made much of 
>>> the x86_64 fake NUMA code generic so that it could be extended for 
>>> architectures such as i386.  Perhaps he could resurrect those patches if 
>>> there is wider interest in such a tool.
>> That would be a very interesting patch, but what I have here is the
>> simplest patch and we could build on it incrementally. The interface is
>> non-standard but it does amazing things for 59 lines of code change.
> 
> Well, maybe it is amazing, but having non-standard interface is also
> wrong...
> 

I tend to agree with you, but in this case it's mostly debug
infrastructure that is architecture specific.

-- 
	Warm Regards,
	Balbir Singh
	Linux Technology Center
	IBM, ISTL